Subject: Enough is Enough.

From: Khaled Omar <[email-masked]>
Date: Tue, 20 Oct 2020 17:00:58 +0000

Dear IETFers,

I hope this is my last e-mail with the IETF and I'm not feeling coward to repeat my first request regarding deleting my drafts from the IETF repository.

Can anyone tell me whom is the responsible person for deleting drafts from the IETF?

P.S. I don't want to find any BCP or whatever that mention that the original author of the draft has not the right to ask for deleting his drafts as this doesn't make any sense.

I wish you good luck after the deletion and the ideas not being used by the IETF as they have no benefits as many claims.

Sorry for any disturbance.

Regards,

Khaled Omar

---

From: Timothy Mcsweeney <[email-masked]>
Date: Tue, 20 Oct 2020 13:09:41 -0400 (EDT)

I would ask an IESG member.  And I think Jay Daley offered up [email-masked] on a different thread.

On 10/20/2020 1:00 PM Khaled Omar <[email-masked]> wrote:

Dear IETFers,

I hope this is my last e-mail with the IETF and I’m not feeling coward to repeat my first request regarding deleting my drafts from the IETF repository.

P.S. I don’t want to find any BCP or whatever that mention that the original author of the draft has not the right to ask for deleting his drafts as this doesn’t make any sense.

Regards,

Khaled Omar

---

From: Khaled Omar <[email-masked]>
Date: Tue, 20 Oct 2020 17:14:56 +0000

Hi Jay,

Could you please do the following request?

Deleting these IDs completely from the IETF repository:

1)     Internet Protocol version 10 (IPv10).

2)     IPmix.

3)     KHALED Routing Protocol (KRP).

4)     Regional Routing Protocol (RRP).

5)     Numbering Exchange Protocol (NEP).

6)     Satellite Internet (SI).

7)     ASN Label Switching Protocol (ALSP).

Thanks in advance.

Khaled Omar

From: Timothy Mcsweeney <[email-masked]>
Sent: Tuesday, October 20, 2020 7:10 PM
To: Khaled Omar <[email-masked]>; [email-masked]
Cc: [email-masked]
Subject: Re: Enough is Enough.

I would ask an IESG member.  And I think Jay Daley offered up [email-masked]<mailto:[email-masked]> on a different thread.

On 10/20/2020 1:00 PM Khaled Omar <[email-masked]<mailto:[email-masked]>> wrote:

Dear IETFers,

Regards,

Khaled Omar

---

From: Timothy Mcsweeney <[email-masked]>
Date: Tue, 20 Oct 2020 13:21:56 -0400 (EDT)

Another thing you can do is to register your draft's copyright with copyright.gov and then sue them to have it removed.  Hopefully you won't have to do that.

Tim

On 10/20/2020 1:14 PM Khaled Omar <[email-masked]> wrote:

Hi Jay,

2)     IPmix.

Thanks in advance.

Khaled Omar

Dear IETFers,

Regards,

Khaled Omar

---

From: Khaled Omar <[email-masked]>
Date: Tue, 20 Oct 2020 17:24:05 +0000

Thanks Tim, I must do that.

Khaled Omar

From: Timothy Mcsweeney <[email-masked]>
Sent: Tuesday, October 20, 2020 7:22 PM
To: Khaled Omar <[email-masked]>; Jay Daley <[email-masked]>
Cc: [email-masked]; [email-masked]
Subject: RE: Enough is Enough.

Tim

On 10/20/2020 1:14 PM Khaled Omar <[email-masked]<mailto:[email-masked]>> wrote:

Hi Jay,

2)     IPmix.

Thanks in advance.

Khaled Omar

From: Timothy Mcsweeney <[email-masked]<mailto:[email-masked]>>
Sent: Tuesday, October 20, 2020 7:10 PM
To: Khaled Omar <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>
Cc: [email-masked]<mailto:[email-masked]>
Subject: Re: Enough is Enough.

Dear IETFers,

Regards,

Khaled Omar

---

From: Ted Hardie <[email-masked]>
Date: Tue, 20 Oct 2020 10:46:09 -0700

Hi Khaled,

There are a large number of repositories which mirror the internet-drafts;
some of those are public and some are within organizations. If your intent
is to withdraw the work from the IETF, the most effective way forward might
be to publish a new version of each draft, noting that the work is not
being pursued within the IETF any more.  That will supersede any previous
versions and clearly signal your intent.  That also gives you a chance to
publish where you will discuss the work, if you will still be carrying on
conversations about the proposals.

regards,

Ted Hardie

On Tue, Oct 20, 2020 at 10:01 AM Khaled Omar <[email-masked]>
wrote:

> Dear IETFers,
>
>
>
> I hope this is my last e-mail with the IETF and I’m not feeling coward to
> repeat my first request regarding deleting my drafts from the IETF
> repository.
>
>
>
> P.S. I don’t want to find any BCP or whatever that mention that the
> original author of the draft has not the right to ask for deleting his
> drafts as this doesn’t make any sense.
>
>
>
> I wish you good luck after the deletion and the ideas not being used by
> the IETF as they have no benefits as many claims.
>
>
>

---

From: Donald Eastlake <[email-masked]>
Date: Tue, 20 Oct 2020 13:48:31 -0400

Khaled,

You should give the file names if you submit a request related to
drafts particularly as it seems that these drafts, except
draft-omar-ipv10-12, do not follow the convention of including your
name as the second token.

Assuming the other drafts have the same copyright and license notice
as draft-omar-ipv10-12, you have granted copyright in these drafts
jointly to the IETF Trust and yourself. The IETF Trust licenses IETF
participants as in
https://trustee.ietf.org/license-info/IETF-TLP-5.pdf particularly
Section 3.

In my opinion, these drafts should not and will not be deleted. They
will time out six months after posting and be removed from the active
directory.

Thanks,
Donald
===============================
 Donald E. Eastlake 3rd   +1-508-333-2270 (cell)
 2386 Panoramic Circle, Apopka, FL 32703 USA
 [email-masked]

---

From: Khaled Omar <[email-masked]>
Date: Tue, 20 Oct 2020 17:57:06 +0000

Donald,

>> In my opinion, these drafts should not and will not be deleted. They will time out six months after posting and be removed from the active directory.

As they are submitted by the IETF, they can be removed by the IETF, it doesn't make any sense to be inactive or the six period ended and still saved at the IETF, I should end that from the roots, please take an action at least in removing the drafts.

Jay, I think that you are now the responsible person as said by Tim, please delete them ALL, easy thing.

Khaled Omar

-----Original Message-----
From: Donald Eastlake <[email-masked]> 
Sent: Tuesday, October 20, 2020 7:49 PM
To: Khaled Omar <[email-masked]>
Cc: Jay Daley <[email-masked]>; [email-masked]; [email-masked]
Subject: Re: Enough is Enough.

Khaled,

You should give the file names if you submit a request related to drafts particularly as it seems that these drafts, except draft-omar-ipv10-12, do not follow the convention of including your name as the second token.

Assuming the other drafts have the same copyright and license notice as draft-omar-ipv10-12, you have granted copyright in these drafts jointly to the IETF Trust and yourself. The IETF Trust licenses IETF participants as in https://trustee.ietf.org/license-info/IETF-TLP-5.pdf particularly Section 3.

In my opinion, these drafts should not and will not be deleted. They will time out six months after posting and be removed from the active directory.

Thanks,
Donald
===============================
 Donald E. Eastlake 3rd   +1-508-333-2270 (cell)
 2386 Panoramic Circle, Apopka, FL 32703 USA  [email-masked]

---

From: Timothy Mcsweeney <[email-masked]>
Date: Tue, 20 Oct 2020 14:07:05 -0400 (EDT)

I don't see how that applies.  The top of his draft says "This Internet-Draft is submitted in full conformance with the provisions of BCP 78 and BCP 79."

And I don't see any stream listed for his drafts so I think just the RFC editor copyright rules apply.  I think these drafts should be deleted.

On 10/20/2020 1:48 PM Donald Eastlake <[email-masked]> wrote:

Khaled,

participants as in

Section 3.

directory.

Thanks,

Donald

[email-masked]

On Tue, Oct 20, 2020 at 1:15 PM Khaled Omar <[email-masked]> wrote:

Hi Jay,

Deleting these IDs completely from the IETF repository:

2) IPmix.

Thanks in advance.

Khaled Omar

On 10/20/2020 1:00 PM Khaled Omar <[email-masked]> wrote:

Dear IETFers,

Regards,

Khaled Omar

---

From: Khaled Omar <[email-masked]>
Date: Tue, 20 Oct 2020 18:08:16 +0000

EXACTLY.

From: Timothy Mcsweeney <[email-masked]>
Sent: Tuesday, October 20, 2020 8:07 PM
To: Donald Eastlake <[email-masked]>; Khaled Omar <[email-masked]>
Cc: [email-masked]; [email-masked]
Subject: Re: Enough is Enough.

On 10/20/2020 1:48 PM Donald Eastlake <[email-masked]<mailto:[email-masked]>> wrote:

Khaled,

Thanks,
Donald
===============================
Donald E. Eastlake 3rd +1-508-333-2270 (cell)
2386 Panoramic Circle, Apopka, FL 32703 USA
[email-masked]<mailto:[email-masked]>

On Tue, Oct 20, 2020 at 1:15 PM Khaled Omar <[email-masked]<mailto:[email-masked]>> wrote:
Hi Jay,
Deleting these IDs completely from the IETF repository:
Thanks in advance.
Khaled Omar
On 10/20/2020 1:00 PM Khaled Omar <[email-masked]<mailto:[email-masked]>> wrote:
Dear IETFers,
Regards,
Khaled Omar

---

From: Timothy Mcsweeney <[email-masked]>
Date: Tue, 20 Oct 2020 14:11:55 -0400 (EDT)

Personally, I can't think of any reason to keep the drafts laying around unless there is an intent to use some of its content down the road.  Is that the intent?

On 10/20/2020 1:57 PM Khaled Omar <[email-masked]> wrote:

Donald,

Khaled Omar

-----Original Message-----

Khaled,

Thanks,

Donald

On Tue, Oct 20, 2020 at 1:15 PM Khaled Omar <[email-masked]> wrote:

Hi Jay,

Deleting these IDs completely from the IETF repository:

2) IPmix.

Thanks in advance.

Khaled Omar

On 10/20/2020 1:00 PM Khaled Omar <[email-masked]> wrote:

Dear IETFers,

Regards,

Khaled Omar

---

From: Khaled Omar <[email-masked]>
Date: Tue, 20 Oct 2020 18:20:19 +0000

Why no one is answering his question …..

Khaled Omar

From: Timothy Mcsweeney <[email-masked]>
Sent: Tuesday, October 20, 2020 8:12 PM
To: Khaled Omar <[email-masked]>; Donald Eastlake <[email-masked]>; Jay Daley <[email-masked]>
Cc: [email-masked]; [email-masked]
Subject: RE: Enough is Enough.

On 10/20/2020 1:57 PM Khaled Omar <[email-masked]<mailto:[email-masked]>> wrote:

Donald,

Khaled Omar

-----Original Message-----
From: Donald Eastlake <[email-masked]<mailto:[email-masked]>>
Sent: Tuesday, October 20, 2020 7:49 PM
To: Khaled Omar <[email-masked]<mailto:[email-masked]>>
Cc: Jay Daley <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: Re: Enough is Enough.

Khaled,

Thanks,
Donald
===============================
Donald E. Eastlake 3rd +1-508-333-2270 (cell)
2386 Panoramic Circle, Apopka, FL 32703 USA [email-masked]<mailto:[email-masked]>

On Tue, Oct 20, 2020 at 1:15 PM Khaled Omar <[email-masked]<mailto:[email-masked]>> wrote:
Hi Jay,
Deleting these IDs completely from the IETF repository:
Thanks in advance.
Khaled Omar
On 10/20/2020 1:00 PM Khaled Omar <[email-masked]<mailto:[email-masked]>> wrote:
Dear IETFers,
Regards,
Khaled Omar

---

From: Timothy Mcsweeney <[email-masked]>
Date: Tue, 20 Oct 2020 14:33:24 -0400 (EDT)

Read BPC 78 section 4 <" data-mce-href="https://tools.ietf.org/html/bcp78#section-4>">https://tools.ietf.org/html/bcp78#section-4>

That will cause you to click over to <" data-mce-href="https://tools.ietf.org/html/rfc4844>">https://tools.ietf.org/html/rfc4844>

Inside RFC4844 try to locate the stream listed on your drafts.  Let us know what you find.

On 10/20/2020 2:20 PM Khaled Omar <[email-masked]> wrote:

Khaled Omar

Donald,

Khaled Omar

-----Original Message-----

Khaled,

Thanks,

Donald

On Tue, Oct 20, 2020 at 1:15 PM Khaled Omar <[email-masked]> wrote:

Hi Jay,

Deleting these IDs completely from the IETF repository:

2) IPmix.

Thanks in advance.

Khaled Omar

On 10/20/2020 1:00 PM Khaled Omar <[email-masked]> wrote:

Dear IETFers,

Regards,

Khaled Omar

---

From: Khaled Omar <[email-masked]>
Date: Tue, 20 Oct 2020 18:47:15 +0000

>> it is important that the IETF (through the IETF Trust) own
   the copyright in documents that are published as RFCs (other than
   Informational RFCs and RFCs that are submitted as RFC Editor
   Contributions).

This is about RFCs not individual submitted drafts, I still have the right as the only author of all drafts to ask for the deletion, where is the issue?

Khaled Omar

Sent: Tuesday, October 20, 2020 8:33 PM

Read BPC 78 section 4 <" data-mce-href="https://tools.ietf.org/html/bcp78#section-4>">https://tools.ietf.org/html/bcp78#section-4><https://tools.ietf.org/html/bcp78#section-4>

That will cause you to click over to <" data-mce-href="https://tools.ietf.org/html/rfc4844>">https://tools.ietf.org/html/rfc4844><https://tools.ietf.org/html/rfc4844>

On 10/20/2020 2:20 PM Khaled Omar <[email-masked]<mailto:[email-masked]>> wrote:

Khaled Omar

From: Timothy Mcsweeney <[email-masked]<mailto:[email-masked]>>
Sent: Tuesday, October 20, 2020 8:12 PM
To: Khaled Omar <[email-masked]<mailto:[email-masked]>>; Donald Eastlake <[email-masked]<mailto:[email-masked]>>; Jay Daley <[email-masked]<mailto:[email-masked]>>
Cc: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: RE: Enough is Enough.

Donald,

Khaled Omar

-----Original Message-----
From: Donald Eastlake <[email-masked]<mailto:[email-masked]>>
Sent: Tuesday, October 20, 2020 7:49 PM
To: Khaled Omar <[email-masked]<mailto:[email-masked]>>
Cc: Jay Daley <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: Re: Enough is Enough.

Khaled,

Thanks,
Donald

On Tue, Oct 20, 2020 at 1:15 PM Khaled Omar <[email-masked]<mailto:[email-masked]>> wrote:
Hi Jay,
Deleting these IDs completely from the IETF repository:
Thanks in advance.
Khaled Omar
On 10/20/2020 1:00 PM Khaled Omar <[email-masked]<mailto:[email-masked]>> wrote:
Dear IETFers,
Regards,
Khaled Omar

---

From: "Rob Wilton (rwilton)" <[email-masked]>
Date: Tue, 20 Oct 2020 19:13:31 +0000

Hi Khaled,

There is an IESG statement on internet draft removal: https://ietf.org/about/groups/iesg/statements/internet-draft-removal/

This statement explains why IDs are retained in the public archive and states that drafts are only removed in unusual circumstances.  However, before you send a request to the IESG, it is probably worth pointing out that an author deciding that they now wish to unpublish an internet draft is unlikely to qualify “as unusual circumstances”.

I suggest that you either just let the drafts expire, of publish a tombstone draft as previously suggested by Ted.

Kind regards,
Rob

From: ietf <[email-masked]> On Behalf Of Khaled Omar
Sent: 20 October 2020 19:47
To: Timothy Mcsweeney <[email-masked]>; Donald Eastlake <[email-masked]>; Jay Daley <[email-masked]>
Cc: [email-masked]; [email-masked]
Subject: RE: Enough is Enough.

Khaled Omar

Khaled Omar

Donald,

Khaled Omar

-----Original Message-----
From: Donald Eastlake <[email-masked]<mailto:[email-masked]>>
Sent: Tuesday, October 20, 2020 7:49 PM
To: Khaled Omar <[email-masked]<mailto:[email-masked]>>
Cc: Jay Daley <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: Re: Enough is Enough.

Khaled,

Thanks,
Donald

On Tue, Oct 20, 2020 at 1:15 PM Khaled Omar <[email-masked]<mailto:[email-masked]>> wrote:
Hi Jay,
Deleting these IDs completely from the IETF repository:
Thanks in advance.
Khaled Omar
On 10/20/2020 1:00 PM Khaled Omar <[email-masked]<mailto:[email-masked]>> wrote:
Dear IETFers,
Regards,
Khaled Omar

---

From: Khaled Omar <[email-masked]>
Date: Tue, 20 Oct 2020 19:25:05 +0000

Rob,

“An Internet-Draft is NOT a means of "publishing" a specification; specifications are published through the RFC mechanism described in the previous section. Internet-Drafts have no formal status, and are subject to change or removal at any time.”

This is what I want, full removal, why the IETF still need things that they don’t care about, if an ID attracted to attention inside the IETF, then it should be removed.

“I-Ds are stored in two places on the IETF web site. First, current I-Ds are stored in the I-D Repository. Second, current and past I-Ds are stored in a Public I-D Archive.”

No need for me to let them stored in the public I-D archive.

“As RFC 2026 says, the entries in the I-D Repository are subject to change or removal at any time; however, I-Ds generally remain in the Public I-D Archive to support easy comparison with previous versions. This availability facilitates review, comment, and revision.”

None of these reviews, comment, and revision happened, and I’m not expecting them to happen with the recent IETF.

Conclusion: nothing says that I-D cannot be removed from both the I-D repository and the public I-D archive.

Khaled Omar

From: Rob Wilton (rwilton) <[email-masked]>
Sent: Tuesday, October 20, 2020 9:14 PM
To: Khaled Omar <[email-masked]>
Cc: [email-masked]; [email-masked]; Timothy Mcsweeney <[email-masked]>
Subject: RE: Enough is Enough.

Hi Khaled,

Kind regards,
Rob

From: ietf <[email-masked]<mailto:[email-masked]>> On Behalf Of Khaled Omar
Sent: 20 October 2020 19:47
To: Timothy Mcsweeney <[email-masked]<mailto:[email-masked]>>; Donald Eastlake <[email-masked]<mailto:[email-masked]>>; Jay Daley <[email-masked]<mailto:[email-masked]>>
Cc: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: RE: Enough is Enough.

Khaled Omar

Khaled Omar

Donald,

Khaled Omar

-----Original Message-----
From: Donald Eastlake <[email-masked]<mailto:[email-masked]>>
Sent: Tuesday, October 20, 2020 7:49 PM
To: Khaled Omar <[email-masked]<mailto:[email-masked]>>
Cc: Jay Daley <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: Re: Enough is Enough.

Khaled,

Thanks,
Donald

On Tue, Oct 20, 2020 at 1:15 PM Khaled Omar <[email-masked]<mailto:[email-masked]>> wrote:
Hi Jay,
Deleting these IDs completely from the IETF repository:
Thanks in advance.
Khaled Omar
On 10/20/2020 1:00 PM Khaled Omar <[email-masked]<mailto:[email-masked]>> wrote:
Dear IETFers,
Regards,
Khaled Omar

---

From: Nick Hilliard <[email-masked]>
Date: Tue, 20 Oct 2020 20:25:49 +0100

Rob Wilton (rwilton) wrote on 20/10/2020 20:13:
> Hi Khaled,
> 
> There is an IESG statement on internet draft removal: 
> https://ietf.org/about/groups/iesg/statements/internet-draft-removal/

isn't this entire conversation a re-run of 2017?

https://mailarchive.ietf.org/arch/msg/ietf/oUwC8jVo8pI0HQ7lx734RXTAVec/

Nick

---

From: Jay Daley <[email-masked]>
Date: Wed, 21 Oct 2020 08:30:19 +1300

Responding to multiple emails at once:

> Jay, I think that you are now the responsible person as said by Tim, please delete them ALL, easy thing. 

I am not the responsible person as the standards process is the responsibility of the IESG.  Rob has pointed you at the relevant IESG statement regarding removal of drafts:

> This is about RFCs not individual submitted drafts, I still have the right as the only author of all drafts to ask for the deletion, where is the issue?

It is important to remember that you have knowingly and willing assigned copyright in these drafts to the IETF Trust and therefore while you are free to ask you do not have the right to insist upon deletion.  As stated in BCP 79 

  "The authors retain all other rights, but cannot withdraw the above
   rights from the IETF Trust and the IETF."

> Why no one is answering his question …..

The IETF is not a real time organisation and people work across multiple time zones.

> Personally, I can't think of any reason to keep the drafts laying around unless there is an intent to use some of its content down the road.  Is that the intent? 

The IESG statement above says "I-Ds provide important historical records for the open and transparent operation of the IETF."

Jay

-- 
Jay Daley
IETF Executive Director
[email-masked]

---

From: Khaled Omar <[email-masked]>
Date: Tue, 20 Oct 2020 19:30:16 +0000

So what are the benefits of freezing the water if no one is able to drink.

I think this time the IESG should approve the removal and not to deny as the first time, it is a decision not rules.

Khaled Omar

-----Original Message-----
From: ietf <[email-masked]> On Behalf Of Nick Hilliard
Sent: Tuesday, October 20, 2020 9:26 PM
To: Rob Wilton (rwilton) <rwilton=[email-masked]>
Cc: [email-masked]
Subject: Re: Enough is Enough.

Nick

---

From: "Salz, Rich" <[email-masked]>
Date: Tue, 20 Oct 2020 19:30:49 +0000

Jay lives in New Zealand, allow some time for his response.

---

From: Stewart Bryant <[email-masked]>
Date: Tue, 20 Oct 2020 20:44:48 +0100

I think “Enough is Enough” fully captures my thoughts on this thread.

- Stewart

---

From: Timothy Mcsweeney <[email-masked]>
Date: Tue, 20 Oct 2020 16:37:41 -0400 (EDT)

Jay,

> As stated in BCP 79

>rights from the IETF Trust and the IETF."

That was in BCP 78.  And section 4 makes that argument moot for Khaled, don't you agree?

---

From: Jay Daley <[email-masked]>
Date: Wed, 21 Oct 2020 09:52:29 +1300

> On 21/10/2020, at 9:37 AM, Timothy Mcsweeney <[email-masked]> wrote:
> 
> Jay,
> 
> > As stated in BCP 79

No I don’t.  The I-Ds in question are very clearly "Contributions made as part of the IETF Processes" and so section 4 does not apply.  

Jay

> 
> 
> _______________________________________________
> legal mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/legal

-- 
Jay Daley
IETF Executive Director
[email-masked]

---

From: "Pete Resnick" <[email-masked]>
Date: Tue, 20 Oct 2020 15:54:28 -0500

> That was in BCP 78.  And section 4 makes that argument moot for 

At the top of his document, Khaled included:

    Internet Engineering Task Force
    Intended status: Standards Track

I don't see how it could be much clearer that it was submitted as a 
contribution to the IETF and therefore is subject to that line in BCP 78 
and the IESG statement. A different boilerplate could have been used 
that didn't include those lines and could have added disclaimers to the 
copyright statement. But this is what the author included in the 
document.

And as Nick pointed out, this process was explained in response to 
Khaled's request 3 years ago. The rules haven't changed since then.

pr
-- 
Pete Resnick https://www.episteme.net/
All connections to the world are tenuous at best

---

From: Khaled Omar <[email-masked]>
Date: Tue, 20 Oct 2020 20:56:14 +0000

>> "Contributions made as part of the IETF Processes".

Excuse me Jay, the IETF did nothing real except accepting submitting these IDs, nothing more.

Khaled Omar

-----Original Message-----
From: Jay Daley <[email-masked]> 
Sent: Tuesday, October 20, 2020 10:52 PM
To: Timothy Mcsweeney <[email-masked]>
Cc: Khaled Omar <[email-masked]>; [email-masked]; [email-masked]
Subject: Re: [legal] Enough is Enough.

Jay

--
Jay Daley
IETF Executive Director
[email-masked]

---

From: John Scudder <[email-masked]>
Date: Tue, 20 Oct 2020 20:58:56 +0000

On Oct 20, 2020, at 4:37 PM, Timothy Mcsweeney <[email-masked]<mailto:[email-masked]>> wrote:

I’m not even an armchair lawyer, but when I look at Section 4, it says "must be marked appropriately as described in the Legend Instructions.” If one follows the trail of breadcrumbs to see exactly what that means, one finds that a different legend is required for "all Alternate Stream Documents (including RFCs and Internet-Drafts)”. It wasn’t used in this instance; rather, the standard IETF stream legend was used.

¯\_(ツ)_/¯

—John

---

From: Christian Huitema <[email-masked]>
Date: Tue, 20 Oct 2020 14:00:22 -0700

> No I don’t.  The I-Ds in question are very clearly "Contributions made as part of the IETF Processes" and so section 4 does not apply. 

And that's an important principle. The archive is the archive. Once
something has been written and published, it cannot be unwritten and
unpublished.

The simplest path for Khaled is to update each of his drafts, replacing
the content with a short text that says something like "This
contribution has been withdrawn." That way, everyone who searches for
the draft will be shown the latest version and learn its status. We call
such drafts "tombstones", but that's jargon.

-- Christian Huitema

---

From: Khaled Omar <[email-masked]>
Date: Tue, 20 Oct 2020 21:09:09 +0000

>> The simplest path for Khaled is to update each of his drafts, replacing the content with a short text that says something like "This contribution has been withdrawn." That way, everyone who searches for the draft will be shown the latest version and learn its status. We call such drafts "tombstones", but that's jargon.
Why I need to do that, all what I’m trying to do now is to take my work and unsubscribe, I don’t want to leave my work at the IETF public archive with such a comment at the latest version, the IESG can approve the deletion and that’s all, whom at the IESG, I don’t know, please tell me who is responsible and authorized to do that.

Khaled Omar

From: ietf <[email-masked]> On Behalf Of Christian Huitema
Sent: Tuesday, October 20, 2020 11:00 PM
To: Jay Daley <[email-masked]>; Timothy Mcsweeney <[email-masked]>
Cc: [email-masked]; [email-masked]
Subject: Re: [legal] Enough is Enough.

On 21/10/2020, at 9:37 AM, Timothy Mcsweeney <[email-masked]><mailto:[email-masked]> wrote:

Jay,

As stated in BCP 79

And that's an important principle. The archive is the archive. Once something has been written and published, it cannot be unwritten and unpublished.

The simplest path for Khaled is to update each of his drafts, replacing the content with a short text that says something like "This contribution has been withdrawn." That way, everyone who searches for the draft will be shown the latest version and learn its status. We call such drafts "tombstones", but that's jargon.

-- Christian Huitema

---

From: Timothy Mcsweeney <[email-masked]>
Date: Tue, 20 Oct 2020 17:09:49 -0400 (EDT)

Hi John,

I was unable to find the Legend instruction breadcrumbs.

Tim

On 10/20/2020 4:58 PM John Scudder <[email-masked]> wrote:

On Oct 20, 2020, at 4:37 PM, Timothy Mcsweeney <[email-masked]> wrote:

¯\_(ツ)_/¯

—John

---

From: John Scudder <[email-masked]>
Date: Tue, 20 Oct 2020 21:26:35 +0000

Hi Tim,

On Oct 20, 2020, at 5:09 PM, Timothy Mcsweeney <[email-masked]<mailto:[email-masked]>> wrote:

This was my process:

BCP 78 Section 1(j):

   j. "Legend Instructions": the standardized text that is maintained by
      the IETF Trust and is included in IETF Documents and the
      instructions and requirements for including that standardized text
      in IETF Documents.  The text and instructions are posted from time
      to time at http://trustee.ietf.org/license-info.

So I took a look at the referenced URL. It includes a link to "Trust Legal Provisions 5.0<https://trustee.ietf.org/documents/IETF-TLP-5_001.html>”. Section 6 of that has the text I quoted.

Regards,

—John

---

From: "Scott O. Bradner" <[email-masked]>
Date: Tue, 20 Oct 2020 17:30:49 -0400

Khaled,
	1/ as Nick pointed out, it was made very clear to you that you can not withdraw the permission you gave for the IETF to publish your ID
	see https://mailarchive.ietf.org/arch/msg/ietf/oUwC8jVo8pI0HQ7lx734RXTAVec/

	2/ it would be pointless anyway, as Ted pointed out "There are a large number of repositories which mirror the internet-drafts” that
	are not under IETF control - IDs, once published, are forever

it is hard to see any reason to continue to fight about this - take the advice to publish “tombstones” that will hide all but the last
version of your ID from anyone that does not know how to look for older versions

		Scott

---

From: Khaled Omar <[email-masked]>
Date: Tue, 20 Oct 2020 21:36:26 +0000

Ok, I'll follow Christian's suggestion, but I still believe it doesn't make any sense, the older contents will not disappear completely from the IETF and this is what I wanted.

Anyway, I'll submit new versions with these tombstones.

Good luck everyone.

Khaled Omar 

-----Original Message-----
From: Scott O. Bradner <[email-masked]> 
Sent: Tuesday, October 20, 2020 11:31 PM
To: Khaled Omar <[email-masked]>
Cc: [email-masked]; IAOC Legal Committee <[email-masked]>
Subject: Re: [legal] Enough is Enough.

Khaled,

it is hard to see any reason to continue to fight about this - take the advice to publish “tombstones” that will hide all but the last version of your ID from anyone that does not know how to look for older versions

		Scott

---

From: Timothy Mcsweeney <[email-masked]>
Date: Tue, 20 Oct 2020 18:29:16 -0400 (EDT)

Full disclosure, I had also recently asked to have some drafts removed and I sent my request to the IESG.  I have not heard back yet.  I realize now that are some differences between my drafts and Khaled's.  But....

I did just find

17 U.S. Code § 204.Execution of transfers of copyright ownership

(a) A transfer of copyright ownership, other than by operation of law, is not valid unless an instrument of conveyance, or a note or memorandum of the transfer, is in writing and signed by the owner of the rights conveyed or such owner’s duly authorized agent.

I'm not a lawyer so I don't know how this plays into things.

Tim

On 10/20/2020 5:09 PM Timothy Mcsweeney <[email-masked]> wrote:

Hi John,

Tim

¯\_(ツ)_/¯

—John

---

From: Khaled Omar <[email-masked]>
Date: Tue, 20 Oct 2020 22:34:26 +0000

Tim, forget about these copyright rules, when someone like (cisco) don't respect the copyright, nothing at the ietf can prevent it, so what i learned here, everyone has his own rules.

Khaled

Get Outlook for Android<https://aka.ms/ghei36>

________________________________
From: Timothy Mcsweeney <[email-masked]>
Sent: Wednesday, October 21, 2020 12:29:16 AM
To: John Scudder <[email-masked]>
Cc: [email-masked] <[email-masked]>; [email-masked] <[email-masked]>; Jay Daley <[email-masked]>; Scott Bradner <[email-masked]>; Khaled Omar <[email-masked]>
Subject: Re: [legal] Enough is Enough.

I did just find

Tim

Hi John,

Tim

¯\_(ツ)_/¯

—John

---

From: Timothy Mcsweeney <[email-masked]>
Date: Tue, 20 Oct 2020 18:39:48 -0400 (EDT)

There's a term for that.  It's called Efficient Infringement.

On 10/20/2020 6:34 PM Khaled Omar <[email-masked]> wrote:

Khaled

Get Outlook for Android

I did just find

Tim

Hi John,

Tim

¯\_(ツ)_/¯

—John

---

From: "Scott O. Bradner" <[email-masked]>
Date: Tue, 20 Oct 2020 19:14:23 -0400

by the way, it is not likely in your own interest to have these IDs deleted by the IETF (even if it were possible) 

if you ever want to prove in court that you published your ideas in a public forum (for example if someone else 
steals them or even patents them), you can point to the ID publication and the IETF Trust can provide
a declaration attesting to the fact that they were published and as to what the date of publication was

Scott

> On Oct 20, 2020, at 5:36 PM, Khaled Omar <[email-masked]> wrote:
>

---

From: Khaled Omar <[email-masked]>
Date: Tue, 20 Oct 2020 23:19:24 +0000

Good point, that's why i followed Christian's suggestion because i'm waiting to complete the cost of the lawyer and will go to the court for what cisco did with the copyright of one of my IDs.

Khaled Omar

________________________________
From: Scott O. Bradner <[email-masked]>
Sent: Wednesday, October 21, 2020 1:14:23 AM
To: Khaled Omar <[email-masked]>
Cc: [email-masked] <[email-masked]>; IAOC Legal Committee <[email-masked]>
Subject: Re: [legal] Enough is Enough.

Scott

---

From: John C Klensin <[email-masked]>
Date: Tue, 20 Oct 2020 19:34:01 -0400

Khaled,

I would normally send a note like this offlist but you have
reacted badly to my doing that in the past.  So, with the
understanding that what follows is my personal opinion and that
I'm speaking only for myself...

When you first started suggesting ideas on the IETF list, and
then when you started posted drafts, you were advised (by me and
I think several others) that doing so involved sharing those
ideas with the IETF for use (or not) by the IETF community as it
saw fit -- that you were neither entitled to favorable
consideration and adoption/standardization of those ideas nor to
claim that they were exclusively yours and somehow un-submit or
un-discuss them.  This is really no different.

I've often wished that the IETF would still follow the spirit of
its original rules so that, when a draft "expired" it
disappeared from any public repository under the IETF's control.
But even that, just like "removing" a draft, would be, as others
have pointed out, only symbolic: there are copies of the
Internet Draft archive over which the IETF has no control.
Similarly, for many years (at least a decade and probably much
more) the IESG has tended to be very reluctant to take drafts
down and remove them from the public archive, even when those
drafts violate important guidelines about I-Ds and do so in way
that is likely to create confusion.  I don't agree with their
reasoning, but it is clear that procedures adopted with
community consensus allow them the discretion.

It is your right to ask that the drafts be removed but I think
you may want to think about what you are trying to accomplish:
even if the IESG agrees, it will not cause documents to
disappear from shadow archives that the IETF does not control,
it will not mean the Secretariat would ignore or resist a court
order to produce them from offline backups, it would not change
the status of any copyright rights that the IETF Trust acquired
when you posted the drafts, and it would not erase any IPR
disclosures you filed nor your obligation to file any that you
should have filed but did not.  So, again, I wonder (as others
have), what you expect to accomplish by this request even while
I recognize that your reasons may have little effect on whether
or not the request is granted.

regards and best wishes,
   john

--On Tuesday, October 20, 2020 19:30 +0000 Khaled Omar
<[email-masked]> wrote:

> I think this time the IESG should approve the removal and not
> to deny as the first time, it is a decision not rules.
>...

---

From: Khaled Omar <[email-masked]>
Date: Tue, 20 Oct 2020 23:43:29 +0000

>> what you expect to accomplish by this request even while

To stop working with the ietf completely and take my work somewhere else once being found because as the definition of insanity to keep trying with the same people and expect a different result.

Khaled Omar

________________________________
From: John C Klensin <[email-masked]>
Sent: Wednesday, October 21, 2020 1:34:01 AM
To: Khaled Omar <[email-masked]>
Cc: [email-masked] <[email-masked]>
Subject: RE: Enough is Enough.

Khaled,

regards and best wishes,
   john

---

From: John C Klensin <[email-masked]>
Date: Wed, 21 Oct 2020 02:39:15 -0400

--On Tuesday, October 20, 2020 23:43 +0000 Khaled Omar
<[email-masked]> wrote:

> To stop working with the ietf completely and take my work
> somewhere else once being found because as the definition of
> insanity to keep trying with the same people and expect a
> different result.

Then, IMO, you should do just that: stop working with the IETF,
stop posting to this list, and go away.  I agree with others
that posting so-called "tombstone" documents so that they are
the first (or only) things found when someone looks for an I-D
would be a good idea but that is up to you.  If you decide to do
such documents and your ideas have evolved even slightly since
those particular I-Ds were posted (or might do so in the
future), you might even include a statement in them that the
ideas they contain are somewhat obsolete and people should
therefore contact you for more and better information.  I don't
think there is anything in the I-D rules that would prevent your
including that bit of advertising.

But, as long as you keep posting to this list (or any other
IETF-sponsored list or list advertised on IETF web pages) you
are, by the IETF's definitions, participating in the IETF (which
is at least close to "working with the IETF") and, logically at
least, your claim that your documents and ideas retroactively
have nothing to do with the IETF gets weaker.  

Good luck with your pursuits elsewhere.
     john

---

From: Phillip Hallam-Baker <[email-masked]>
Date: Fri, 23 Oct 2020 11:50:30 -0400

Like most I suppose, I have not been following any of the IPv10 comments,
or at least trying not to. I do applications and for me it is not just a
matter of profound disinterest to know how my packets are moving from A to
B, it is a layering violation to care. (Or at least it is until it isn't.
There are times when I do care but I try to avoid that).

So looking back on the thread, I think that there were some problems on
both sides of the argument. When I look at some of the responses, I ask
whether the same responses would have been made to the Web or to PKIX or
SSH or to any of the application layer work that the IETF likes to consider
success stories. And of course, they were.

So how do we distinguish between important and unimportant work? I don't
think it can be through consensus alone. Consensus is the OUTPUT of the
IETF process, it cannot be an input and it certainly can't be a gating
function on deciding to work on problems at all. Nor do I agree that the
same criteria should apply at every level in the stack. If the narrow waist
means anything it is that we have to have very good reasons for making
changes at the waist. And if the bar there needs to be higher, that argues
it should be lower elsewhere.

So this seems like an opportunity to see if I am also tilting at windmills.
What should the criteria be and how do I go about meeting them?

The fundamental flaw for me in IPv10 was that I never understood the
problem it was supposed to solve let alone the reason it was important to
solve it.

The Mesh is considerably more extensive than IPv10 but I do know the
problems I am trying to solve and I can (and do) explain why those problems
are important in the very short times I get to speak in the decision making
venues. Venues where almost none of the participants are technical and I am
usually the only person from the network standards community.

The third issue of course is establishing a community of interest to work
on the proposal. Which is of course difficult until you have a working
prototype to demonstrate. But this is a double edged sword as once you have
such a prototype and people start to use it, most of your design is locked
in and you are going to be able to change rather little.

Finally, there is the question of deployment and the question of whether
the proposal has the support of a sufficient number of essential
stakeholders to succeed. This is where the IETF has had a
schizophrenic approach allowing dominant market players a veto in certain
areas (e.g. Web browsers) and insisting on ignoring them in others (the
IESG/IAB decision to prevent deployment of DNSSEC in 2001).

The particular problem I am trying to address is protecting the
confidentiality of Data At Rest. This is an issue that has recently
resulted in a nation state actor destroying the marriage of the CEO/founder
of the dominant supplier of cloud services. So there is at least one party
that cares. And Data at Rest breaches continue to be the largest source of
serious security breaches (with ransomware rapidly catching up). But my
deployment strategy is bottom up, not top down. I do not depend on any
other organization as an essential participant.

So here is my checklist of criteria:

1) What problem are you trying to solve?
2) Why is this problem important?
3) Is there a community of interest to develop it?
4) Who are the essential participants (gatekeepers) and will they
participate?

Notice that what the checklist does not include is does the proposal work.
My assumption is that it probably won't but this probably doesn't matter as
most things are fixable. Failing the four tests above is fatal unless the
proposal can be modified so that they can be passed.

Next step for the Mesh will be the release of the new document set
establishing the principles of Threshold Key Infrastructure and the
realization of those principles in the Mesh. Hopefully, that will be
followed shortly after by the release of the line mode tool.

---

From: Joseph Touch <[email-masked]>
Date: Fri, 23 Oct 2020 09:12:03 -0700

> On Oct 23, 2020, at 8:50 AM, Phillip Hallam-Baker <[email-masked]> wrote:
> 
> 4) Who are the essential participants (gatekeepers) and will they participate?

All 4 above were known (IMO) for IPv10 - IPv6 transition, the slow pace of that transition, v6ops WG, and members of v6ios - in order.

I think this misses the key flaw with the IP10 proposal.

It failed to present a solution with enough interest to move forward.

IETF participants decide for themselves how to spend their resources and this is one of many proposals that simply didn’t gather enough interest.

If you’re looking for a checklist, IMO, is the Heilmeier catechism is better:

What are you trying to do? Articulate your objectives using absolutely no jargon. 
How is it done today, and what are the limits of current practice? 
What is new in your approach and why do you think it will be successful? 
Who cares? If you are successful, what difference will it make? 
What are the risks? 
How much will it cost? 
How long will it take? 
What are the mid-term and final “exams” to check for success? 
IPv10 failed at step 3.

Simply wanting to solve a problem isn’t enough.

Joe

---

From: Toerless Eckert <[email-masked]>
Date: Sat, 24 Oct 2020 17:39:33 +0200

> This statement explains why IDs are retained in the public archive and states that drafts are only removed in unusual circumstances.  However, before you send a request to the IESG, it is probably worth pointing out that an author deciding that they now wish to unpublish an internet draft is unlikely to qualify ???as unusual circumstances???.

Was unpublishing previously requested and rejected ?

Are there example (drafts) for which this process was used  (whether for
unpublishing requests or else) ?  Curious about actual instances of
"unusual circumstances", but also for "rejected unusual circumstances". 

Primarily wondering what the boundary of "unusual curcumstances" is
because that term is not a definition of a boundary but the definition of
"arbitrary wiggle room" for the IESG. Which is fine as long as
we did not have to test the boundary repeatedly. If there is more experience,
the definition should be clearer.

Aka: I am sure i could easily create the situation by posting a draft
with offensive racial slurs, promoting terrorist organiations, leaking
US military secrets or the like. I am sure IESG would quickly decide
to make sure this is not only removed from datatracker, but also
tools (wasn't sure if the URL language implied tools a well...).

In a case like Khaled, if he would appeal to IESG, and given how
the thread here shows a lot more interest of the community to regurgitate
operating principles instead of suggesting that the IESG could simply
be forthcoming to a severely disgruntled contributor (whether or not it
makes sense), i think that is an interesting case of the boundary
where the rules don't make it clear to me what th outcome would or
should be.

Personally, i think IESG should consider removing the drafts if so requested,
putting respect for a community member before operating principles, but
of course also weighting respect for the rest of the community:

Technically, the key reason for not removing the drafts to me is that
only because Khaled was posting the drafts to the IETF did he get cycles from
the IETF community that was expressed through many public and (from what i
read) also private emails. And it could be seen as a disrespect to those
that did spend cycles on reading those drafts and providing feedback to
remove the drafts. Especially given how the public exchanges about the
draft are archived and those archives would not be comprehensible if the
references documents where removed.

Finally: I think it is a sad showing of the IETF community culture to see
that there is not a lot of "we would severely ask you to reconsider requesting IESG
to remove your drafts, but if you decide to do so, we will support you if asked by
IETF about it". But i am herey saying so, even though i think i have
very little standing because i think i only engaged into discussions
with Khaled once or twice on a list about his work.

Cheers
    Toerless

> Why no one is answering his question ???..
> 
> Khaled Omar
> 
> I hope this is my last e-mail with the IETF and I???m not feeling coward to repeat my first request regarding deleting my drafts from the IETF repository.
> >
> >
> P.S. I don???t want to find any BCP or whatever that mention that the original author of the draft has not the right to ask for deleting his drafts as this doesn???t make any sense.
> >
> >

-- 
---
[email-masked]

---

From: Khaled Omar <[email-masked]>
Date: Sat, 24 Oct 2020 15:58:07 +0000

Hi Toerless,

>> Was un-publishing previously requested and rejected ?

Yes that occurred, and since that rejection nothing moved forward, drafts never reviewed officially, only one draft (NEP) was discussed remotely with the RTGWG (thanks to Jeff, Yingzhen Qu and Chris) but the new idea that the draft proposes was suddenly being seen implemented by cisco which is not acceptable without informing the draft author.

>> Personally, i think IESG should consider removing the drafts if so requested, putting respect for a community member before operating principles, but of course also weighting respect for the rest of the community:

No decision taken till now after the second request was made other than Christian's suggestion of submitting a tombstone version.

Regards,

Khaled Omar

-----Original Message-----
From: Toerless Eckert <[email-masked]> 
Sent: Saturday, October 24, 2020 5:40 PM
To: Rob Wilton (rwilton) <rwilton=[email-masked]>
Cc: Khaled Omar <[email-masked]>; [email-masked]; [email-masked]
Subject: Re: Enough is Enough.

Are there example (drafts) for which this process was used  (whether for unpublishing requests or else) ?  Curious about actual instances of "unusual circumstances", but also for "rejected unusual circumstances". 

Primarily wondering what the boundary of "unusual curcumstances" is because that term is not a definition of a boundary but the definition of "arbitrary wiggle room" for the IESG. Which is fine as long as we did not have to test the boundary repeatedly. If there is more experience, the definition should be clearer.

Aka: I am sure i could easily create the situation by posting a draft with offensive racial slurs, promoting terrorist organiations, leaking US military secrets or the like. I am sure IESG would quickly decide to make sure this is not only removed from datatracker, but also tools (wasn't sure if the URL language implied tools a well...).

In a case like Khaled, if he would appeal to IESG, and given how the thread here shows a lot more interest of the community to regurgitate operating principles instead of suggesting that the IESG could simply be forthcoming to a severely disgruntled contributor (whether or not it makes sense), i think that is an interesting case of the boundary where the rules don't make it clear to me what th outcome would or should be.

Personally, i think IESG should consider removing the drafts if so requested, putting respect for a community member before operating principles, but of course also weighting respect for the rest of the community:

Technically, the key reason for not removing the drafts to me is that only because Khaled was posting the drafts to the IETF did he get cycles from the IETF community that was expressed through many public and (from what i
read) also private emails. And it could be seen as a disrespect to those that did spend cycles on reading those drafts and providing feedback to remove the drafts. Especially given how the public exchanges about the draft are archived and those archives would not be comprehensible if the references documents where removed.

Finally: I think it is a sad showing of the IETF community culture to see that there is not a lot of "we would severely ask you to reconsider requesting IESG to remove your drafts, but if you decide to do so, we will support you if asked by IETF about it". But i am herey saying so, even though i think i have very little standing because i think i only engaged into discussions with Khaled once or twice on a list about his work.

Cheers
    Toerless

> To: Timothy Mcsweeney <[email-masked]>; Donald Eastlake 
> <[email-masked]>; Jay Daley <[email-masked]>
> From: Timothy Mcsweeney 
> <[email-masked]<mailto:[email-masked]>>
> To: Khaled Omar 
> <[email-masked]<mailto:[email-masked]>>; 
> Donald Eastlake <[email-masked]<mailto:[email-masked]>>; Jay Daley 
> <[email-masked]<mailto:[email-masked]>>
> Read BPC 78 section 4 <" 
> data-mce-href="https://tools.ietf.org/html/bcp78#section-4>">https://t
> ools.ietf.org/html/bcp78#section-4><https://tools.ietf.org/html/bcp78#
> section-4>
> 
> That will cause you to click over to <" 
> data-mce-href="https://tools.ietf.org/html/rfc4844>">https://tools.iet
> f.org/html/rfc4844><https://tools.ietf.org/html/rfc4844>
> 
> From: Timothy Mcsweeney 
> <[email-masked]<mailto:[email-masked]>>
> To: Khaled Omar 
> <[email-masked]<mailto:[email-masked]>>; 
> Donald Eastlake <[email-masked]<mailto:[email-masked]>>; Jay Daley 
> <[email-masked]<mailto:[email-masked]>>
> To: Khaled Omar 
> <[email-masked]<mailto:[email-masked]>>
> Cc: Jay Daley <[email-masked]<mailto:[email-masked]>>; 
> [email-masked]<mailto:[email-masked]>; 
> [email-masked]<mailto:[email-masked]>
> From: Timothy Mcsweeney 
> <[email-masked]<mailto:[email-masked]>>
> To: Khaled Omar 
> <[email-masked]<mailto:[email-masked]>>; 
> [email-masked]<mailto:[email-masked]>
> Cc: 
> [email-masked]<mailto:[email-masked]>

--
---
[email-masked]

---

From: Ofer Inbar <[email-masked]>
Date: Sat, 24 Oct 2020 12:07:58 -0400

On Sat, Oct 24, 2020 at 05:39:33PM +0200,
> references documents where removed.

You made it seem like a secondary point, but for me personally, the
main reason not to remove drafts is to make it possible for people
reading the list archives or looking into history later on, to see
what was being discussed at the time and read it directly.

For that reason, I would feel quite uncomfortable if I saw drafts
being removed from the archives merely because the submitter wished to
stop working with the IETF.  Having the drafts present does not
prevent the submitter from ceasing to work with the IETF.  Knowing
that that's all it takes to get a draft removed, would make me feel
about any future draft "this might just disappear later", which
changes the way people might relate to all future proposals.
  -- Cos

---

From: Brian E Carpenter <[email-masked]>
Date: Sun, 25 Oct 2020 07:44:19 +1300

Ofer,

The rules under which I-Ds are submitted and published are clear:
"Internet-Drafts that
 have been removed (for any reason) from the Internet-Drafts
 directories shall be archived by the IETF Secretariat for the sole
 purpose of preserving an historical record of Internet standards
 activity..." [BCP9, RFC2026]
The IETF Trust can, and has, built legal precision around the rights
in I-Ds but they cannot, and have not, changed the rule that they
are archived. 

Regards
   Brian Carpenter

---

From: Toerless Eckert <[email-masked]>
Date: Sat, 24 Oct 2020 21:04:37 +0200

> what was being discussed at the time and read it directly.

I am not a native english speaker. I did not intend to make it seem secondary.
I would be happy to receive language suggestion to avoid this misperception
for future reference.

To me there are no clearly prioritizeable choices here.

> stop working with the IETF.

I am sure Khaled would argue that it is not "mereley because", but that
his desire to do so is based on the community behavior specific to his case.

> Having the drafts present does not

The only rules we seem to have is "unusual circumstances". Hence i would
say you "slippery slope" argument invalidates itself: If incidents like
this would occur more frequently they would not be unusual anymore.

Still waiting of course for someone to explain better boundary definition
of "unusual circumstances".

Cheers
    Toerless

-- 
---
[email-masked]

---

From: Khaled Omar <[email-masked]>
Date: Sat, 24 Oct 2020 19:09:42 +0000

Hi Toerless,

>> I am sure Khaled would argue that it is not "mereley because", but that his desire to do so is based on the community behavior specific to his case.

I'll not argue anymore, It is clear from the beginning that I just accepted the tombstone version, this will make history available for everyone so no one can come up with a similar idea.

Cheers,

Khaled Omar

-----Original Message-----
From: Toerless Eckert <[email-masked]> 
Sent: Saturday, October 24, 2020 9:05 PM
To: Ofer Inbar <[email-masked]>
Cc: Rob Wilton (rwilton) <rwilton=[email-masked]>; [email-masked]; Khaled Omar <[email-masked]>; [email-masked]
Subject: Re: Enough is Enough.

On Sat, Oct 24, 2020 at 12:07:58PM -0400, Ofer Inbar wrote:
> On Sat, Oct 24, 2020 at 05:39:33PM +0200, Toerless Eckert 
> <[email-masked]> wrote:
> > Technically, the key reason for not removing the drafts to me is 
> > that only because Khaled was posting the drafts to the IETF did he 
> > get cycles from the IETF community that was expressed through many 
> > public and (from what i
> > read) also private emails. And it could be seen as a disrespect to 
> > those that did spend cycles on reading those drafts and providing 
> > feedback to remove the drafts. Especially given how the public 
> > exchanges about the draft are archived and those archives would not 
> > be comprehensible if the references documents where removed.
> 

I am not a native english speaker. I did not intend to make it seem secondary.
I would be happy to receive language suggestion to avoid this misperception for future reference.

> stop working with the IETF.

I am sure Khaled would argue that it is not "mereley because", but that his desire to do so is based on the community behavior specific to his case.

> changes the way people might relate to all future proposals.

The only rules we seem to have is "unusual circumstances". Hence i would say you "slippery slope" argument invalidates itself: If incidents like this would occur more frequently they would not be unusual anymore.

Still waiting of course for someone to explain better boundary definition of "unusual circumstances".

Cheers
    Toerless

--
---
[email-masked]

---

From: John Wroclawski <[email-masked]>
Date: Sat, 24 Oct 2020 15:16:45 -0400

> On Oct 24, 2020, at 3:04 PM, Toerless Eckert <[email-masked]> wrote:
> 

I’d suggest that “unusual” means “not in the normal course of doing business”.

People stop working with the IETF all the time. It’s expected within the normal course of IETF business, so it’s not unusual. People also abandon specific ideas all the time; that too is expected in the normal course of business, so not unusual.

It’s not expected in the normal course of business that, picking an example at random, a draft with a legally actionable libelous slur is published. Hence, if that did occur, the “unusual circumstance” test would seem to be passed, since it’s not a thing that’s expected within the normal course of the IETF business process.

My 2c,
John